%{

#include <string>
#include <vector>
#include <iostream>
using namespace std;
#include "parse_yacc.h"
extern YYSTYPE parselval;

%}

%option noyywrap

%%

"idpd_polygon"		{ return POLYGON;		}
"idpd_ellipse"		{ return ELLIPSE;		}
"idpd_xpos"			{ return XPOS;			}
"idpd_ypos"			{ return YPOS;			}
"idpd_color"		{ return COLOR;		}
"idpd_pencolor"	{ return PENCOLOR;	}
"idpd_depth"		{ return DEPTH;		}
"idpd_text"			{ return TEXT;			}

"idpd_polygon_t"	{ return POLYGON_T;	}
"idpd_ellipse_t"	{ return ELLIPSE_T;	}
"idpd_xpos_t"		{ return XPOS_T;		}
"idpd_ypos_t"		{ return YPOS_T;		}
"idpd_color_t"		{ return COLOR_T;		}
"idpd_pencolor_t"	{ return PENCOLOR_T;	}
"idpd_depth_t"		{ return DEPTH_T;		}
"idpd_text_t"		{ return TEXT_T;		}
["][^"]*["]	    { parselval.str = new string(yytext); 
						  return TERM;			}
"-"*[a-zA-Z0-9_]*	{ parselval.str = new string(yytext); 
						  return TERM;			}
[\n\t ]*				{							}
.						{ return *yytext;		}

%%

void my_flush_buffer() {
	YY_FLUSH_BUFFER;
}

