#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "canvas.h"

class MainWindow : public QMainWindow {

	Q_OBJECT

	private:
		Canvas* _canvas;
		QTimer* _timer;

	public:

		// Construction
		MainWindow(QWidget* parent = 0);

		void createMenuBar();
		void createToolBar();
		void createTimer();

		// Inspectors
		Canvas*	canvas()	const { return _canvas;	}

		void loadFile(QString filename);

	public slots:
		void openFile();
		void nextTime();
		void prevTime();
		void play();
		void stop();
		void pause();
		void about() const;
		void font();

};

#endif
